org.vishia.gral.base

## Interface GetGralWidget_ifc

- All Known Subinterfaces:
    GralCurveView_ifc
  All Known Implementing Classes:
    AwtPanel, FcmdFileCard, GralButton, GralCurveView, GralFileSelector, GralHorizontalSelector, GralHtmlBox, GralLabel, GralLed, GralPanelContent, GralPlotArea, GralSlider, GralTabbedPanel, GralTable, GralTextBox, GralTextField, GralValueBar, GralWidget, GralWindow

      public interface GetGralWidget_ifc

  This class should only be used for the implementation of the graphic adapter. It helps to associate a GralWidget to any implementation widget.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and licence Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GralWidget` | `getGralWidget()` Returns the GralWigdet from the data of the given implementation graphic component.

- - ### Field Detail

    - #### version

          static final int version

      Version, history and licence Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are indent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGralWidget

          GralWidget getGralWidget()

      Returns the GralWigdet from the data of the given implementation graphic component. In Any graphic implementation a implementation widget may refer untyped user data. This data may set to the associated instance of GralWidget usually. But sometimes other data should be referred and the GralWidget is existent one time for more as one implementation widgets. The this interface helps.